> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an engagement

> Use this endpoint to create an engagement (an email, call, meeting, task or note) on an object in HubSpot. Use case for this endpoint: This endpoint is useful for keeping your CRM records up-to-date on any interactions that take place outside of HubSpot. Activity reporting in the CRM also feeds off of this data.

### Associations

You can associate engagements with objects to ensure they're displayed correctly in the UI. Tasks created through HubSpot's API will not trigger user notifications. For note-type engagements, the body of the note will be limited to 65536 characters.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json POST /engagements/v1/engagements
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /engagements/v1/engagements:
    post:
      summary: Create an engagement
      description: >-
        Use this endpoint to create an engagement (an email, call, meeting, task
        or note) on an object in HubSpot. Use case for this endpoint: This
        endpoint is useful for keeping your CRM records up-to-date on any
        interactions that take place outside of HubSpot. Activity reporting in
        the CRM also feeds off of this data.


        ### Associations


        You can associate engagements with objects to ensure they're displayed
        correctly in the UI. Tasks created through HubSpot's API will not
        trigger user notifications. For note-type engagements, the body of the
        note will be limited to 65536 characters.
      operationId: postengagementsv1engagements
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                engagement:
                  type: object
                  properties:
                    active:
                      type: boolean
                    ownerId:
                      type: integer
                      description: >-
                        Corresponding to an Owner. Task engagements use the
                        ownerId to populate the Assigned to field.
                    type:
                      type: string
                      enum:
                        - EMAIL
                        - CALL
                        - MEETING
                        - TASK
                        - NOTE
                      description: 'One of: EMAIL, CALL, MEETING, TASK, NOTE'
                    timestamp:
                      type: integer
                      description: >-
                        Timestamp (in milliseconds). This timestamp will be
                        treated as the time that the engagement happened, and
                        will determine where the engagement appears in the
                        timeline for any associated records.
                  required:
                    - type
                associations:
                  type: object
                  properties:
                    contactIds:
                      type: array
                      items:
                        type: integer
                    companyIds:
                      type: array
                      items:
                        type: integer
                    dealIds:
                      type: array
                      items:
                        type: integer
                    ownerIds:
                      type: array
                      items:
                        type: integer
                    ticketIds:
                      type: array
                      items:
                        type: integer
                attachments:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                  description: >-
                    Optional list of file IDs, corresponding to IDs you get for
                    files from the CMS Files API.
                metadata:
                  type: object
                  description: >-
                    An object representing the details of the engagement. Format
                    varies by engagement type - see documentation for specific
                    formats for EMAIL, CALL, MEETING, TASK, and NOTE types.
              required:
                - engagement
      responses:
        '200':
          description: Successful response - Engagement created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  engagement:
                    type: object
                  associations:
                    type: object
                  attachments:
                    type: array
                    items:
                      type: object
                  metadata:
                    type: object

````